## org.hibernate.event
Interface PreUpdateEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BeanValidationEventListener, JACCPreUpdateEventListener

    public interface PreUpdateEventListener

extends Serializable

Called before updating the datastore

Author:
  Gavin King

Method Summary
`boolean` `onPreUpdate(PreUpdateEvent event)` Return true if the operation should be vetoed

Method Detail

### onPreUpdate

    boolean onPreUpdate(PreUpdateEvent event)

  Return true if the operation should be vetoed

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.